V0 - Get list of files
Returns the list of expense-report exports that have been generated for the organization. Use this to discover available export files (their ids, statuses, and metadata) before fetching their contents via GET /expensereportsexport/{fileId}.
GET
/
expensereportsexports
/
V0 - Get list of files
curl --request GET \
--url https://stage-expense.findity.com/api/admin/expensereportsexports/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-expense.findity.com/api/admin/expensereportsexports/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-expense.findity.com/api/admin/expensereportsexports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/expensereportsexports/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/expensereportsexports/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-expense.findity.com/api/admin/expensereportsexports/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/expensereportsexports/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"exports": [
{
"id": "b4d28a193f5e4ac1a0e6a39f17c0e2b8",
"name": null,
"exportId": 184201,
"dateCreated": "2026-05-14T11:45:02Z",
"lastUpdated": "2026-05-14T11:45:08Z",
"lastDownloaded": null,
"bookingDate": "2026-05-14T11:45:02Z",
"numberOfReports": 12,
"organizationId": "8ab28cb36ccde07d016ccdfb47d00216",
"recipientId": "8ab28cb36ccde07d016ccdfb47d00217",
"integrationPluginName": "ce-integration-standard",
"recipientSettings": null,
"exportedBy": {
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"email": "eva.lindberg@example.com",
"firstName": "Eva",
"lastName": "Lindberg"
},
"hasContent": true,
"shallGenerateBasis": null,
"accountingBasisUrl": "https://stage-expense.findity.com/api/admin/expensereports/accountingbasis/b4d28a193f5e4ac1a0e6a39f17c0e2b8"
},
{
"id": "f328e47d595c40ad80f27f52626c5b92",
"name": null,
"exportId": 183975,
"dateCreated": "2026-05-07T09:21:11Z",
"lastUpdated": "2026-05-07T09:21:18Z",
"lastDownloaded": "2026-05-08T14:30:22Z",
"bookingDate": "2026-05-07T09:21:11Z",
"numberOfReports": 8,
"organizationId": "8ab28cb36ccde07d016ccdfb47d00216",
"recipientId": "8ab28cb36ccde07d016ccdfb47d00218",
"integrationPluginName": "fortnox",
"recipientSettings": null,
"exportedBy": {
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"email": "eva.lindberg@example.com",
"firstName": "Eva",
"lastName": "Lindberg"
},
"hasContent": true,
"shallGenerateBasis": null,
"accountingBasisUrl": "https://stage-expense.findity.com/api/admin/expensereports/accountingbasis/f328e47d595c40ad80f27f52626c5b92"
}
],
"serverTime": "2026-05-28T13:30:00Z",
"searchCount": null,
"totalCount": 2,
"integrationPluginNames": [
"ce-integration-standard",
"fortnox"
]
}{
"result": "error",
"description": "failed list expense reports exports"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Findity API version. Use 3 for the current admin API.
Query Parameters
Page size.
Pagination offset, zero-based.
Sort direction: asc or desc.
Internal id of the organization to scope the listing to.
Sort field (e.g. createdAt).
Response
OK
Last modified on August 31, 2026
⌘I
V0 - Get list of files
curl --request GET \
--url https://stage-expense.findity.com/api/admin/expensereportsexports/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-expense.findity.com/api/admin/expensereportsexports/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-expense.findity.com/api/admin/expensereportsexports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/expensereportsexports/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/expensereportsexports/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-expense.findity.com/api/admin/expensereportsexports/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/expensereportsexports/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"exports": [
{
"id": "b4d28a193f5e4ac1a0e6a39f17c0e2b8",
"name": null,
"exportId": 184201,
"dateCreated": "2026-05-14T11:45:02Z",
"lastUpdated": "2026-05-14T11:45:08Z",
"lastDownloaded": null,
"bookingDate": "2026-05-14T11:45:02Z",
"numberOfReports": 12,
"organizationId": "8ab28cb36ccde07d016ccdfb47d00216",
"recipientId": "8ab28cb36ccde07d016ccdfb47d00217",
"integrationPluginName": "ce-integration-standard",
"recipientSettings": null,
"exportedBy": {
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"email": "eva.lindberg@example.com",
"firstName": "Eva",
"lastName": "Lindberg"
},
"hasContent": true,
"shallGenerateBasis": null,
"accountingBasisUrl": "https://stage-expense.findity.com/api/admin/expensereports/accountingbasis/b4d28a193f5e4ac1a0e6a39f17c0e2b8"
},
{
"id": "f328e47d595c40ad80f27f52626c5b92",
"name": null,
"exportId": 183975,
"dateCreated": "2026-05-07T09:21:11Z",
"lastUpdated": "2026-05-07T09:21:18Z",
"lastDownloaded": "2026-05-08T14:30:22Z",
"bookingDate": "2026-05-07T09:21:11Z",
"numberOfReports": 8,
"organizationId": "8ab28cb36ccde07d016ccdfb47d00216",
"recipientId": "8ab28cb36ccde07d016ccdfb47d00218",
"integrationPluginName": "fortnox",
"recipientSettings": null,
"exportedBy": {
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"email": "eva.lindberg@example.com",
"firstName": "Eva",
"lastName": "Lindberg"
},
"hasContent": true,
"shallGenerateBasis": null,
"accountingBasisUrl": "https://stage-expense.findity.com/api/admin/expensereports/accountingbasis/f328e47d595c40ad80f27f52626c5b92"
}
],
"serverTime": "2026-05-28T13:30:00Z",
"searchCount": null,
"totalCount": 2,
"integrationPluginNames": [
"ce-integration-standard",
"fortnox"
]
}{
"result": "error",
"description": "failed list expense reports exports"
}
